edu.wpi.first.networktables

## Interface EntryListenerFlags

- All Known Subinterfaces:
    TableEntryListener

      public interface EntryListenerFlags

  Flag values for use with entry listeners. The flags are a bitmask and must be OR'ed together to indicate the combination of events desired to be received. The constants kNew, kDelete, kUpdate, and kFlags represent different events that can occur to entries. By default, notifications are only generated for remote changes occurring after the listener is created. The constants kImmediate and kLocal are modifiers that cause notifications to be generated at other times.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `kDelete` Entry was deleted.
    `static int` | `kFlags` Entry's flags changed.
    `static int` | `kImmediate` Initial listener addition.
    `static int` | `kLocal` Changed locally.
    `static int` | `kNew` Newly created entry.
    `static int` | `kUpdate` Entry's value changed.

- - ### Field Detail

    - #### kImmediate

          static final int kImmediate

      Initial listener addition. Set this flag to receive immediate notification of entries matching the flag criteria (generally only useful when combined with kNew).
      See Also:
        Constant Field Values

    - #### kLocal

          static final int kLocal

      Changed locally. Set this flag to receive notification of both local changes and changes coming from remote nodes. By default, notifications are only generated for remote changes. Must be combined with some combination of kNew, kDelete, kUpdate, and kFlags to receive notifications of those respective events.
      See Also:
        Constant Field Values

    - #### kNew

          static final int kNew

      Newly created entry. Set this flag to receive a notification when an entry is created.
      See Also:
        Constant Field Values

    - #### kDelete

          static final int kDelete

      Entry was deleted. Set this flag to receive a notification when an entry is deleted.
      See Also:
        Constant Field Values

    - #### kUpdate

          static final int kUpdate

      Entry's value changed. Set this flag to receive a notification when an entry's value (or type) changes.
      See Also:
        Constant Field Values

    - #### kFlags

          static final int kFlags

      Entry's flags changed. Set this flag to receive a notification when an entry's flags value changes.
      See Also:
        Constant Field Values